package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.core.exception.OverflowException;
import com.loafle.overflow.module.meta.model.MetaSensorDisplayItem;
import com.loafle.overflow.module.meta.model.MetaSensorDisplayMapping;
import com.loafle.overflow.module.meta.model.MetaSensorItemKey;

import java.util.List;

/**
 * Created by snoop on 18. 4. 24.
 */
public interface MetaSensorDisplayMappingService {
    @WebappAPI
    MetaSensorDisplayMapping regist(MetaSensorDisplayMapping m) throws OverflowException;

    @WebappAPI
    List<MetaSensorItemKey> findAllByDisplayItem(MetaSensorDisplayItem displayItem) throws OverflowException;
}
