package com.loafle.overflow.module.history.service;

import com.loafle.overflow.module.core.annotation.WebappAPI;
import com.loafle.overflow.module.core.model.PageParams;
import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.history.model.History;

import com.loafle.overflow.module.meta.model.MetaHistoryType;
import com.loafle.overflow.module.probe.model.Probe;
import org.springframework.data.domain.Page;

public interface HistoryService {
   // ??
   History regist(History history);

    @WebappAPI
   Page<History> readAllByProbeAndType(Probe probe, MetaHistoryType type, PageParams pageParams);
   @WebappAPI
   Page<History> readAllByProbe(Probe probe, PageParams pageParams);
   @WebappAPI
   Page<History> readAllByDomain(Domain domain, PageParams pageParams);
   @WebappAPI
   Page<History> readAllByDomainAndType(Domain domain, MetaHistoryType type, PageParams pageParams);
}
